libesmtp (1.1.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Hudson-Doyle ]
  * d/patches/time64: cast time_t values to long long before passing to
    *printf functions (code storing time_t values in void* variables will
    still break in 2038). (Closes: #1068782)
  * d/patches/default-source: define _DEFAULT_SOURCE to get access to
    prototype of strlcpy. (Closes: #1071322)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Sep 2024 21:36:36 +0200

libesmtp (1.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libesmtp6: Add versioned Replaces and Breaks against
    libesmtp5 (<< 1.0.6-1~) (Closes: #1043058)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Aug 2023 12:04:32 +0200

libesmtp (1.1.0-3) unstable; urgency=medium

  * debian: Clean up build environment
  * Fix missing dependency on libssl-dev.
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: 997697)
  * Update Standards-Version no changes needed

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 24 Oct 2021 13:55:32 -0400

libesmtp (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Jeremy T. Bouse ]
  * Remove old outdate build script files
  * Add missing changelog entries for NMUs (Closes: 989766)
  * Rebuild source-only (Closes: 989767)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 12 Jun 2021 21:24:30 -0400

libesmtp (1.1.0-1) unstable; urgency=medium

  * debian/watch: Update to new upstream URL
  * New upstream version 1.1.0
  * Update debian/patches
  * Update to use new Meson/Ninja buildsystem

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 07 Jun 2021 21:51:44 -0400

libesmtp (1.0.6-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add add-TLSv1_1-TLSv1_2-support.patch patch.
    Add support for TLSv1.1+. (Closes: #802658)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Aug 2017 10:52:01 +0200

libesmtp (1.0.6-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop "-lssl -lcrypto" from exported libs flags (Closes: #852884).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 31 Jan 2017 23:51:33 +0100

libesmtp (1.0.6-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to fix OpenSSL check (Closes: #844254)

 -- Hilko Bengen <bengen@debian.org>  Fri, 18 Nov 2016 23:28:19 +0100

libesmtp (1.0.6-4) unstable; urgency=medium

  * Fix FTBFS bug replacing autotools-dev with autoreconf.
    Thanks to Frederic Bonnard <frediz@linux.vnet.ibm.com> (Closes: 757915)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 26 Aug 2014 14:57:33 -0700

libesmtp (1.0.6-3) unstable; urgency=low

  * Fix FTBFS due to debhelper compat 9 changes to lib directories.
    Thanks to Salvatore Bonaccorso <carnil> (Closes: #753027)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 01 Jul 2014 11:56:28 -0400

libesmtp (1.0.6-2) unstable; urgency=low

  * Update package to clean up lintian findings
  * Remove .gitignore
  * debian/source/local-options: set unapply-patches option
  * debian/watch: Don't need to use uupdate with gbp
  * debian/control: Update Standards-Version
  * debian/rules: Add '--with autotools-dev' to debhelper.
    Thanks to Mattias Klose (Closes: #727287)
  * debian/control: Update Vcs locations
  * debian/compat: Update debhelper compat to v9
  * debian/libesmtp6.postinst: Remove unnecessary postinst script
  * This is the Wookey untested special due to impatience and inability
    to actually attempt to communicate with fellow developers so I've
    not had time to fully test before uploading and releasing.

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 23 Jun 2014 08:16:57 -0400

libesmtp (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Convert packaging to 3.0 (quilt) format

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 15 Aug 2010 19:04:20 -0400

libesmtp (1.0.4-5) unstable; urgency=low

  * debian/control: Updated Standards-Version to 3.9.0
  * Fixes for CVE-2010-1192 handling NULL bytes (Closes: #572960) -
    thanks to Jan Lieskovsky

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 21 Jul 2010 00:00:47 -0400

libesmtp (1.0.4-4) unstable; urgency=low

  * Add debian/watch file for DEHS
  * debian/control: Add Vcs-* headers

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 13 Dec 2009 11:15:45 -0500

libesmtp (1.0.4-3) unstable; urgency=low

  * Update to 3.8.3 standards policy
  * Acknowledge previous version fixed header.c issue
    (Closes: #294231) (LP: #227680)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 28 Nov 2009 01:32:38 -0500

libesmtp (1.0.4-2) unstable; urgency=low

  * Fix headers.c (Closes: #310968, #451860, #355568)
  * Fix smtp-tls.c (Closes: #311191)
  * Correct libesmtp-config man page (Closes: #254635)

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 05 Jun 2008 23:35:31 -0400

libesmtp (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 04 Jun 2008 10:32:51 -0400

libesmtp (1.0.3-1.1) unstable; urgency=low

  * Porter NMU.
  * Libtool update (Closes: #314432)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 21:49:26 +0100

libesmtp (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Patched libesmtp.h to include <sys/types.h> (Closes: #202648)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat,  1 May 2004 17:50:31 -0700

libesmtp (1.0.1-1) unstable; urgency=low

  * Accept NMU upload (Closes: #217441)
  * Created source with orig+diff (Closes: #216425)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat,  1 May 2004 17:07:35 -0700

libesmtp (1.0.1-0.1) unstable; urgency=high

  * NMU
  * New upstream release
  * [debian/rules] Run configure in env PTHREAD_LIBS="-lpthread" to ensure
    the libraries are linked with complete inter-library dependencies.
    (Closes: #187354)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Dec 2003 19:52:14 +0100

libesmtp (1.0-2) unstable; urgency=low

  * Build-depend on autotools-dev to use new config.{sub,guess}
    (Closes: 182160)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 23 Feb 2003 10:25:48 -0800

libesmtp (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #173315)
  * New build environment
  * Corrected debian/copyright (Closes: #173280, #173284)
  * Rebuilt against new libssl (Closes: #177452)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 11 Feb 2003 11:33:28 -0800

libesmtp (0.8.11-2) unstable; urgency=low

  * Turned on OpenSSL support for SMTP STARTTLS extension

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  6 Mar 2002 08:55:59 -0800

libesmtp (0.8.11-1) unstable; urgency=low

  * New upstream release
  * Corrects buffer overflow bug (Closes: #136491)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  6 Mar 2002 08:37:48 -0800

libesmtp (0.8.10p1-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 31 Jan 2002 08:11:40 -0800

libesmtp (0.8.9-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 22 Jan 2002 14:23:27 -0800

libesmtp (0.8.8-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  5 Dec 2001 08:00:38 -0800

libesmtp (0.8.7-3) unstable; urgency=low

  * Corrected bug in crammd5/md5.h (Closes: #121658)
    Diff patch sent upstream as appears to be a mistake from 0.8.6
    variable declaration change

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 29 Nov 2001 11:51:35 -0800

libesmtp (0.8.7-2) unstable; urgency=low

  * Fix problem with thinking uploads were NMUs

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 27 Nov 2001 12:17:57 -0800

libesmtp (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Corrected shlibs versioning (Closes: #120107)

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 26 Nov 2001 18:35:51 -0800

libesmtp (0.8.6-2) unstable; urgency=low

  * Added Build-Conflicts in debian/control to keep from being built
    against SSL (violation of current crypto in main policy) as been
    discovered during examination of buildd logs (specifically m68k)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun,  4 Nov 2001 00:52:21 -0800

libesmtp (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 30 Oct 2001 21:55:18 -0800

libesmtp (0.8.4-1) unstable; urgency=low

  * New upstream release (Closes: #110798)

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 31 Aug 2001 08:28:45 -0700

libesmtp (0.8.3-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon,  9 Jul 2001 09:40:26 -0700

libesmtp (0.8.2-1) unstable; urgency=low

  * New upstream bug-fix release
  * Included the require-all-recipients option to build

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun,  1 Jul 2001 13:20:49 -0700

libesmtp (0.8.1-1) unstable; urgency=low

  * New upstream bug-fix release
  * Notes from author regarding release:
      Two uninitialised variable bugs that might cause the protocol to quit
      without sending anything to the server were fixed. Many more compiler
      warnings were enabled when compiling with gcc. Compiles should generally
      be much cleaner.

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 15 Jun 2001 08:58:20 -0700

libesmtp (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Notes from author regarding release:
      Support for more SMTP extensions. Socket buffering reworked to use
      non-blocking sockets (to avoid the PIPELINING deadlock situation
      described in RFC 2920).

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 15 Jun 2001 08:47:42 -0700

libesmtp (0.7.4-4) unstable; urgency=low

  * Cleaned up build environment

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 12 Jun 2001 09:02:43 -0700

libesmtp (0.7.4-3) unstable; urgency=low

  * Added lintian overrides for module plug-ins

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 11 Jun 2001 10:22:15 -0700

libesmtp (0.7.4-2) unstable; urgency=low

  * Corrected Build-Depends (closes: #100045)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat,  9 Jun 2001 00:18:17 -0700

libesmtp (0.7.4-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue,  5 Jun 2001 15:42:24 -0700

libesmtp (0.7.3-2) unstable; urgency=low

  * Corrected error in Section (devel -> libs)
  * Included manpage for libesmtp-config (produced via help2man)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue,  5 Jun 2001 15:37:57 -0700

libesmtp (0.7.3-1) unstable; urgency=low

  * Initial Release.

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri,  1 Jun 2001 22:23:00 -0700

Local variables:
mode: debian-changelog
End:
